#
# spec file for package ghc-xml-conduit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name xml-conduit
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.0.4
Release:        1.11
Summary:        Pure-Haskell utilities for dealing with XML with the conduit package
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-xml-types-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/xml-conduit>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Mon Feb 20 2017 psimons@suse.com
- Update to version 1.4.0.4 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.4.0.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.3.5 revision 0 with cabal2obs.
* Thu May 12 2016 mimi.vx@gmail.com
- update to 1.3.5
  * Improvements for using xml-conduit for streaming XML protocols
* Tue Apr 19 2016 mimi.vx@gmail.com
- update to 1.3.4.2
  * transformers dep bump
* Sat Apr  9 2016 mimi.vx@gmail.com
- update to 1.3.4.1
  * Remove unneeded ImpredicativeTypes
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 1.3.4
  * dropWS retains consumed whitespace values
* Mon Feb  1 2016 mimi.vx@gmail.com
- update to 1.3.3.1
  * Generalize signature of choose
* Tue Dec 22 2015 mimi.vx@gmail.com
- update to 1.3.3
  * New render setting to control when to use CDATA
  * Escaping CDATA closing tag in CDATA
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 1.3.2
  * Support for iso-8859-1
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 1.3.1
  * Add functions to ignore subtrees & result-streaming (yield) parsers
  * Drop system-filepath
* Fri Jul 10 2015 cfarrell@suse.com
- license update: BSD-2-Clause
  See LICENSE file
* Thu Jul  9 2015 jmatejka@suse.cz
- Initial package
